/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2016, 2018
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

var inlineContext = inlineContext; //inlineContext may not be defined (ie completeAuth.jsp)
var locales = [clientLocale];
var additionalLocale = inlineContext && inlineContext.preferences && inlineContext.preferences.contentLocale;

if(additionalLocale && clientLocale !== additionalLocale) {
	locales.push(additionalLocale);
}

requirejs.config({
	baseUrl: ".",
	locale: clientLocale,
	waitSeconds: 150,
	urlArgs: urlArgs,
	i18n: {
		locale: clientLocale
	},
	config: {
		'baglass/core-client/js/core-client/i18n/Locales': {
				locales: locales
		}
	},
	shim: {
		chronology: {
			exports: 'Chronology'
		},
		'ckeditor/jquery': {
			deps: ['ckeditor'],
			exports: 'ckeditor/jquery'
		},
		'rangy': {
			exports: 'rangy'
		},
		'rangy-cssclassapplier': {
			deps: ['rangy', 'domReady!'],
			init: function(rangy) {
				'use strict';
				rangy.config.alertOnError = false;
				rangy.init();
				return rangy;
			}
		}
	},
	paths: {
		'bi': 'js',

		// Bower Components
		'bootstrap-slider': 'lib/seiyriabootstrapslider/7.1.1/bootstrap-slider.min',
		'chronology': 'lib/chronology/0.4.0/chronology.min',
		'rangy': 'lib/rangy/1.3alpha.804/rangy-core',
		'rangy-cssclassapplier': 'lib/rangy/1.3alpha.804/rangy-cssclassapplier',
		'impress': 'lib/impressjs/0.6.0/js/impress',

		'scroller': 'lib/datatables/extensions/Scroller/js/dataTables.scroller',

		// Temporary until 155079: Add un-minified version of toastr into 3rd party@RTC
		'toastr': 'lib/toastr/2.1.2/toastr.min',

		// Added for the Share team
		'datetimepicker': "lib/bootstrap-timepicker/0.5.1/js/bootstrap-timepicker.min",

		// Moser client library
		'moser': 'js/moser/moser.min',

		// Themes
		'themes': 'gemini_resources/themes',
		'samples': 'gemini_resources/samples',

		// ca-ui-toolkit paths
		'ca-ui-toolkit': 'js/uitoolkit/1.0/ca-ui-toolkit',
		'ca-ui-toolkit-core': 'js/uitoolkit/1.0/ca-ui-toolkit-core',
		'ca-ui-toolkit-common': 'js/uitoolkit/1.0/ca-ui-toolkit-common'
	},
	map: {
		'*': {
			'requirejs-text/text': 'text',
			'promise': 'baglass/core-client/js/core-client/utils/Promise',
			'content_apps': 'bi/content_apps'	// content explorer (temporary)
		}
	},
	gfxRenderer: 'canvas,svg'
});
